Package org.jcsp.net

# Interface NetConnectionFactory

All Known Implementing Classes:
  `StandardNetConnectionFactory`

public interface NetConnectionFactory

This class should be implemented by classes wishing to act as factories for creating Networked `ConnectionServer` and `ConnectionClient` objects.

An implementation is provided, see ``StandardNetConnectionFactory``.

Author:
  Quickstone Technologies Limited

## Method Summary

Modifier and Type
Method
Description
`NetSharedAltingConnectionClient`
`createAny2Net(NetChannelLocation serverLoc)`
Constructs a `NetSharedAltingConnectionClient` object.
`NetSharedConnectionServer`
`createNet2Any()`
Constructs a `NetSharedConnectionServer` object.
`org.jcsp.net.NetAltingConnectionServer`
`createNet2One()`
Constructs a `NetAltingConnectionServer` object.
`NetAltingConnectionClient`
`createOne2Net(NetChannelLocation serverLoc)`
Constructs a `NetAltingConnectionClient` object.

## Method Details

### createNet2One

org.jcsp.net.NetAltingConnectionServer createNet2One()

Constructs a `NetAltingConnectionServer` object.

Returns:
  the constructed `NetAltingConnectionServer` object.

### createNet2Any

NetSharedConnectionServer createNet2Any()

Constructs a `NetSharedConnectionServer` object.

Returns:
  the constructed `NetSharedConnectionServer` object.

### createOne2Net

NetAltingConnectionClient createOne2Net(NetChannelLocation serverLoc)

Constructs a `NetAltingConnectionClient` object.

Returns:
  the constructed `NetAltingConnectionClient` object.

### createAny2Net

NetSharedAltingConnectionClient createAny2Net(NetChannelLocation serverLoc)

Constructs a `NetSharedAltingConnectionClient` object.

Returns:
  the constructed `NetSharedAltingConnectionClient` object.